### File

`packages/ecl/components/ecl-media-container/ecl-media-container-iframe.directive.ts`

### Description

Adds styling and attributes to the iframe element.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `iframe[eclMediaContainerIframe]`

### Index

###### Properties
hasCustomRatio
###### Methods
calculateCustomRatio getCssClasses
###### Inputs
height ratio width class e2eAttr tabindex
###### Accessors
ratio

### Inputs

height
Type : `any`

ratio
Type : `string`

width
Type : `any`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Methods

calculateCustomRatio
`calculateCustomRatio()`
Returns : `string`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

hasCustomRatio
Type : `unknown`
Default value : `false`

### Accessors

ratio
get `ratio()`

# results matching ""

# No results matching ""